Page MenuHomePhabricator

Document filejournal table on mediawiki.org
Closed, DeclinedPublic

Description

Not mentioned at https://www.mediawiki.org/wiki/Manual:Database_layout
But is set up by maintenance/archives/patch-filejournal.sql and used in includes/filebackend/filejournal/DBFileJournal.php

Event Timeline

Krenair created this task.Sep 2 2015, 4:41 PM
Krenair assigned this task to aaron.
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a project: Documentation. · View Herald TranscriptSep 2 2015, 4:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
aaron removed aaron as the assignee of this task.Nov 2 2015, 11:54 PM
aaron set Security to None.
aaron added a subscriber: aaron.Nov 2 2015, 11:56 PM

This is a very optional table to be used with syncFileBackend.php. Core nor WMF use these atm.

Krinkle edited projects, added MediaWiki-File-management; removed Wikimedia-Rdbms.
Krinkle added a subscriber: Krinkle.

I haven't looked further into it, but if it isn't used by default and we also don't need it at WMF scale, what is the use case behind it, and would it possibly make sense to deprecate and strip all the null-operations from the FileBackend code?

Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptJul 28 2018, 11:49 PM
Krinkle reopened this task as Open.Jul 18 2019, 9:54 PM

(Misunderstood.)

Krinkle closed this task as Declined.Jul 18 2019, 9:57 PM

Declining nonetheless per my earlier comment. It's not part of MW core's schema by default, and presumably only rarely used.